#import psyco
#psyco.full()


import misc, game
import time
import rabbyt
import pygame
from pygame.locals import *






SPLASH = 0
INGAME = 1
PAUSED = 2
def main():
    rabbyt.init_display(size=(800, 600))
    rabbyt.set_viewport((800, 600))
    rabbyt.clear((1.0,1.0,1.0,0.0))
    pygame.display.set_caption("Kill Those Junkies")
    misc.gSpriteHandler.Get("./data/splash.png").render()
    pygame.display.flip()

    gamestate = SPLASH
    splashTimer = 500


    keepRunning = True
    game_inited = False

    gm = game.game

    lastTick = pygame.time.get_ticks()

    while keepRunning:
        while pygame.time.get_ticks() - lastTick < 2:
            time.sleep(0.001)
        ms = pygame.time.get_ticks() - lastTick
        lastTick = pygame.time.get_ticks()
        
        for event in pygame.event.get():
            if event.type == QUIT:
                keepRunning = False
            elif event.type == KEYDOWN:
                if event.key == K_ESCAPE:
                    keepRunning = False
                else:
                    misc.keys[event.key] = True
            elif event.type == KEYUP:
                misc.keys[event.key] = False

        rabbyt.clear((1.0,1.0,1.0,0.0)) #clear the screen
        if gamestate==INGAME:
            gm.Update(ms)
            gm.Render()
            
        elif gamestate==SPLASH:
            misc.gSpriteHandler.Get("./data/splash.png").render()
            if splashTimer>0:
                splashTimer-=ms
                if misc.keys[K_SPACE]:
                    gamestate=INGAME
            else:
                gamestate=INGAME
            
            if not game_inited:
                gm.init()
                game_inited = True
        
        
        
        pygame.display.flip()