keys = [False]*512

class vec2():
    def __init__(self, x = 0, y = 0):
        self.x, self.y = x, y


import rabbyt        
class SpriteHandler():
    def __init__(self):
        self.sprites = {}
    
    def Get(self, name):
        if self.sprites.has_key(name):
            return self.sprites[name]
        else:
            try:
                self.sprites[name] = rabbyt.Sprite(name)
                return self.sprites[name]
            except:
                print "Warning: Couldn't load sprite ", name
                return None
            
gSpriteHandler = SpriteHandler()

import pygame
class SoundHandler():
    def __init__(self):
        self.sounds = {}
    
    def Get(self, name):
        if self.sounds.has_key(name):
            return self.sounds[name]
        else:
            try:
                self.sounds[name] = pygame.mixer.Sound(name)
                return self.sounds[name]
            except:
                print "Warning: Couldn't load sound ", name
                return None
gSoundHandler = SoundHandler()